Commit 7e651782 authored by Danny Willems's avatar Danny Willems
Browse files

Use ocaml/opam2 docker images and install rust

docker-ocaml-rust images are not automatically updated and it might cause a sync
problem in the future
parent b1d72673
Pipeline #272796580 passed with stage
in 6 minutes and 29 seconds
......@@ -4,21 +4,25 @@ install-and-remove:
parallel:
matrix:
- RUST_VERSION: "1.44.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.45.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.46.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.47.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.48.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.49.0"
OCAML_VERSION: "4.09"
OCAML_VERSION: "4.10"
- RUST_VERSION: "1.50.0"
OCAML_VERSION: "4.09"
image: registry.gitlab.com/dannywillems/docker-ocaml-rust:${OCAML_VERSION}-${RUST_VERSION}
OCAML_VERSION: "4.10"
image: ocaml/opam2:${OCAML_VERSION}
before_script:
- sudo apt-get update
- sudo apt-get install m4 -y
- eval $(opam env)
- curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y --default-toolchain ${RUST_VERSION}
- . $HOME/.cargo/env
- opam --version
- ocaml --version
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment